Proof Of Transfer
Endpoints to get information about the Proof of Transfer consensus mechanism
Retrieves a list of PoX transactions confirmed by a specific burn block
Burn block hash
0000000000000000000452773967cdd62297137cdaf79950c5e8bb0c62075133Pattern: ^(0x)?[a-fA-F0-9]{64}$Burn block height
777678Results per page
20Result offset
0Default Response
2001Default Response
GET /extended/v2/burn-blocks/{height_or_hash}/pox-transactions HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
{
"burn_block_height": 1,
"burn_block_hash": "text",
"tx_id": "text",
"recipient": "text",
"utxo_idx": 1,
"amount": "text"
}
]
}Retrieves a list of PoX cycles
Results per page
20Result offset
0Default Response
2001Default Response
GET /extended/v2/pox/cycles HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
{
"block_height": 1,
"index_block_hash": "text",
"cycle_number": 1,
"total_weight": 1,
"total_stacked_amount": "text",
"total_signers": 1
}
]
}Retrieves details for a PoX cycle
PoX cycle number
Default Response
Default Response
GET /extended/v2/pox/cycles/{cycle_number} HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"block_height": 1,
"index_block_hash": "text",
"cycle_number": 1,
"total_weight": 1,
"total_stacked_amount": "text",
"total_signers": 1
}Retrieves a list of signers in a PoX cycle
PoX cycle number
Results per page
100Result offset
0Default Response
2001Default Response
GET /extended/v2/pox/cycles/{cycle_number}/signers HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
{
"signing_key": "text",
"signer_address": "text",
"weight": 1,
"stacked_amount": "text",
"weight_percent": 1,
"stacked_amount_percent": 1,
"solo_stacker_count": 1,
"pooled_stacker_count": 1
}
]
}Retrieves details for a signer in a PoX cycle
PoX cycle number
Signer key
0x038e3c4529395611be9abf6fa3b6987e81d402385e3d605a073f42f407565a4a3dDefault Response
The Stacks address derived from the signing_key.
The number of solo stackers associated with this signer.
The number of pooled stackers associated with this signer.
Default Response
GET /extended/v2/pox/cycles/{cycle_number}/signers/{signer_key} HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"signing_key": "text",
"signer_address": "text",
"weight": 1,
"stacked_amount": "text",
"weight_percent": 1,
"stacked_amount_percent": 1,
"solo_stacker_count": 1,
"pooled_stacker_count": 1
}Retrieves a list of stackers for a signer in a PoX cycle
PoX cycle number
Signer key
0x038e3c4529395611be9abf6fa3b6987e81d402385e3d605a073f42f407565a4a3dResults per page
100Result offset
0Default Response
2001Default Response
GET /extended/v2/pox/cycles/{cycle_number}/signers/{signer_key}/stackers HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
{
"stacker_address": "text",
"stacked_amount": "text",
"pox_address": "text",
"stacker_type": "solo"
}
]
}Retrieves a list of PoX transactions
Bitcoin Address
bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdqResults per page
20Result offset
0Default Response
2001Default Response
GET /extended/v2/addresses/{burnchain_address}/pox-transactions HTTP/1.1
Host: api.hiro.so/
Accept: */*
{
"limit": 20,
"offset": 0,
"total": 1,
"results": [
{
"burn_block_height": 1,
"burn_block_hash": "text",
"tx_id": "text",
"recipient": "text",
"utxo_idx": 1,
"amount": "text"
}
]
}Last updated
Was this helpful?